ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Cmm.Pipeline

Synopsis

- cmmPipeline :: Logger -> CmmConfig -> ModuleSRTInfo -> CmmGroup -> IO (ModuleSRTInfo, CmmGroupSRTs)

# Documentation

cmmPipeline :: Logger -> CmmConfig -> ModuleSRTInfo -> CmmGroup -> IO (ModuleSRTInfo, CmmGroupSRTs) Source #

Top level driver for C-- pipeline

Converts C-- with an implicit stack and native C-- calls into optimized, CPS converted and native-call-less C--. The latter C-- can be used to generate assembly.